Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.soap
Class SOAPMessageHandler

    java.lang.Object
      org.codehaus.xfire.annotations.soap.SOAPMessageHandler

    public class SOAPMessageHandler

extends java.lang.Object

Represents a common implementation of the SOAP message handler. Specifies a single SOAP message handler.

Author:
  Arjen Poutsma

Constructor Summary
`SOAPMessageHandler(java.lang.String className)` Initializes a new instance of the `SOAPMessageHandler`.

Method Summary
`java.lang.String` | `getClassName()` Returns the name of the handler class.
`java.lang.String[]` | `getHeaders()` Returns the list of SOAP headers processed by the handler.
`InitParam[]` | `getInitParams()` Returns the array of name/value pairs that should be passed to the handler during initialization.
`java.lang.String` | `getName()` Returns the name of the handler.
`java.lang.String[]` | `getRoles()` Returns the list of SOAP roles/actors implemented by the handler
`void` | `setHeaders(java.lang.String[] headers)` Sets the list of SOAP headers processed by the handler.
`void` | `setInitParams(InitParam[] initParams)` Sets the array of name/value pairs that should be passed to the handler during initialization.
`void` | `setName(java.lang.String name)` Sets the name of the handler.
`void` | `setRoles(java.lang.String[] roles)` Sets the list of SOAP roles/actors implemented by the handler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPMessageHandler

    public SOAPMessageHandler(java.lang.String className)

  Initializes a new instance of the `SOAPMessageHandler`.

  Parameters:
    `className` - the name of the handler class.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns the name of the handler class.

  Returns:
    the name of the handler class.

### getName

    public java.lang.String getName()

  Returns the name of the handler. Defaults to the name of the handler class.

  Returns:
    the name of the handler

### setName

    public void setName(java.lang.String name)

  Sets the name of the handler.

  Parameters:
    `name` - the name of the handler

### getInitParams

    public InitParam[] getInitParams()

  Returns the array of name/value pairs that should be passed to the handler during initialization.

  Returns:
    the initialization array

### setInitParams

    public void setInitParams(InitParam[] initParams)

  Sets the array of name/value pairs that should be passed to the handler during initialization.

  Parameters:
    `initParams` - the initialization array

### getRoles

    public java.lang.String[] getRoles()

  Returns the list of SOAP roles/actors implemented by the handler

  Returns:
    the list of SOAP roles/actors

### setRoles

    public void setRoles(java.lang.String[] roles)

  Sets the list of SOAP roles/actors implemented by the handler

  Parameters:
    `roles` - the list of SOAP roles/actors

### getHeaders

    public java.lang.String[] getHeaders()

  Returns the list of SOAP headers processed by the handler. Each element in this array contains a `QName` which defines the header element processed by the handler. The QNames are specified using the string notation described in the documentation for `QName.valueOf(String)`.

  Returns:
    the list of SOAP headers

### setHeaders

    public void setHeaders(java.lang.String[] headers)

  Sets the list of SOAP headers processed by the handler. Each element in this array contains a `QName` which defines the header element processed by the handler. The QNames are specified using the string notation described in the documentation for `QName.valueOf(String)`.

  Parameters:
    `headers` - the list of SOAP headers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.